# Gimp.Image.prototype.merge_visible_layers

    function merge_visible_layers(merge_type: Gimp.MergeType): Gimp.Layer {
        // Gjs wrapper for gimp_image_merge_visible_layers()
    }

Merge the visible image layers into one.

This procedure combines the visible layers into a single layer using the specified merge type. A merge type of EXPAND_AS_NECESSARY expands the final layer to encompass the areas of the visible layers. A merge type of CLIP_TO_IMAGE clips the final layer to the extents of the image. A merge type of CLIP_TO_BOTTOM_LAYER clips the final layer to the size of the bottommost layer.

merge_type

  The type of merge.

Returns

  The resulting layer.